/*
 * Copyright (c) 2010 Nokia Corporation.
 */

#ifndef KEYEVENTLISTENER_H
#define KEYEVENTLISTENER_H

#include <QObject>
#include <QKeyEvent>

class KeyEventListener : public QObject
{
    Q_OBJECT

public:
    KeyEventListener(QObject *parent = 0);
    ~KeyEventListener();

protected:
     bool eventFilter(QObject *obj, QEvent *event);

signals:
    void keyboardEnabled();
    void keyboardDisabled();

};

#endif // KEYEVENTLISTENER_H
